Bug 1308648 - docs should describe roles creation in greater depth
docs should describe roles creation in greater depth
Status: ASSIGNED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
6.1.6
All All
medium Severity medium (vote)
: GA
: 6.X
Assigned To: satellite-doc-list
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 11:50 EST by Patrick C. F. Ernzer
Modified: 2018-06-05 02:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2016-02-15 11:50:31 EST
Description of problem:
Sat 6.1 docs are not describing how to create your own roles in sufficient depth.
Section "17.3. Creating and Managing Roles" describes the obvious webUI things (Click New Role, Click Submit to save your new role, etc) but is lacking details on what each permission does.
When looking in the webUI; most are close to obvious, but the Sat 6 docs really should describe them all, so that users have a canonical reference they can turn to.

Version-Release number of selected component (if applicable):
6.1

How reproducible:
always

Steps to Reproduce:
1. try to create your own role in Sat6
2. RTFM at Chapter 17 of the Sat 6.1 User Guide


Actual results:
webUI buttons are described in great depth.
permissions sadly not.

Expected results:
all permissions are explained in the documentation.
I guess starting from the output of
Procedure 17.11. To Create a Complete Permission Table

Additional info:


Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/User_Guide/sect-Red_Hat_Satellite-User_Guide-Users_and_Roles-Creating_and_Managing_Roles.html

Section Number and Name: 
17.3. Creating and Managing Roles

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 2 Andrew Dahms 2017-06-13 01:58:35 EDT
Assigning to Zac for review.

Zac - looks like there is some content in the upstream Foreman documentation we can use as the basis for doing some of this work -

https://www.theforeman.org/manuals/1.15/index.html#4.1.2RolesandPermissions

This content now lives in Chapter 4. of the Server Administration Guide in the 6.2 suite.
Comment 3 Andrew Dahms 2017-07-10 00:22:02 EDT
Due to the need to focus on more recent versions of the documentation, and the recent change in focus to producing content for the Satellite 6.3, I am updating the release flags on this bug.
Comment 5 Andrew Dahms 2017-08-17 05:20:26 EDT
Hi Zac,

Thank you for raising this needinfo request.

Because we have now discussed this issue via email, and because the needinfo request has served its purpose of bringing this bug to my attention, I am now clearing this request.

Let me know if you need any further details.

Kind regards,

Andrew

Note You need to log in before you can comment on or make changes to this bug.